=== modified file 'Makefile'
--- Makefile	2013-10-17 16:51:55 +0000
+++ Makefile	2013-10-30 10:16:36 +0000
@@ -1,5 +1,5 @@
-# This file is part of the Juju GUI, which lets users view and manage Juju
-# environments within a graphical interface (https://launchpad.net/juju-gui).
+# This file is part of the Juju Quickstart Plugin, which lets users set up a
+# Juju environment in very few steps (https://launchpad.net/juju-quickstart).
 # Copyright (C) 2012-2013 Canonical Ltd.
 #
 # This program is free software: you can redistribute it and/or modify it under

=== modified file 'juju-quickstart'
--- juju-quickstart	2013-10-15 15:31:12 +0000
+++ juju-quickstart	2013-10-30 10:16:36 +0000
@@ -1,7 +1,7 @@
 #!/usr/bin/env python
 
-# This file is part of the Juju GUI, which lets users view and manage Juju
-# environments within a graphical interface (https://launchpad.net/juju-gui).
+# This file is part of the Juju Quickstart Plugin, which lets users set up a
+# Juju environment in very few steps (https://launchpad.net/juju-quickstart).
 # Copyright (C) 2013 Canonical Ltd.
 #
 # This program is free software: you can redistribute it and/or modify it under

=== modified file 'quickstart/__init__.py'
--- quickstart/__init__.py	2013-10-22 16:36:51 +0000
+++ quickstart/__init__.py	2013-10-30 10:16:36 +0000
@@ -1,5 +1,5 @@
-# This file is part of the Juju GUI, which lets users view and manage Juju
-# environments within a graphical interface (https://launchpad.net/juju-gui).
+# This file is part of the Juju Quickstart Plugin, which lets users set up a
+# Juju environment in very few steps (https://launchpad.net/juju-quickstart).
 # Copyright (C) 2013 Canonical Ltd.
 #
 # This program is free software: you can redistribute it and/or modify it under

=== modified file 'quickstart/app.py'
--- quickstart/app.py	2013-10-18 14:51:29 +0000
+++ quickstart/app.py	2013-10-30 10:16:36 +0000
@@ -1,5 +1,5 @@
-# This file is part of the Juju GUI, which lets users view and manage Juju
-# environments within a graphical interface (https://launchpad.net/juju-gui).
+# This file is part of the Juju Quickstart Plugin, which lets users set up a
+# Juju environment in very few steps (https://launchpad.net/juju-quickstart).
 # Copyright (C) 2013 Canonical Ltd.
 #
 # This program is free software: you can redistribute it and/or modify it under

=== modified file 'quickstart/juju.py'
--- quickstart/juju.py	2013-10-18 12:01:12 +0000
+++ quickstart/juju.py	2013-10-30 10:16:36 +0000
@@ -1,5 +1,5 @@
-# This file is part of the Juju GUI, which lets users view and manage Juju
-# environments within a graphical interface (https://launchpad.net/juju-gui).
+# This file is part of the Juju Quickstart Plugin, which lets users set up a
+# Juju environment in very few steps (https://launchpad.net/juju-quickstart).
 # Copyright (C) 2013 Canonical Ltd.
 #
 # This program is free software: you can redistribute it and/or modify it under

=== modified file 'quickstart/manage.py'
--- quickstart/manage.py	2013-10-22 21:49:26 +0000
+++ quickstart/manage.py	2013-10-30 10:16:36 +0000
@@ -1,5 +1,5 @@
-# This file is part of the Juju GUI, which lets users view and manage Juju
-# environments within a graphical interface (https://launchpad.net/juju-gui).
+# This file is part of the Juju Quickstart Plugin, which lets users set up a
+# Juju environment in very few steps (https://launchpad.net/juju-quickstart).
 # Copyright (C) 2013 Canonical Ltd.
 #
 # This program is free software: you can redistribute it and/or modify it under
@@ -125,7 +125,7 @@
 def setup():
     """Set up the application options and logger.
 
-    Return the options as a namespace containing the followin attributes:
+    Return the options as a namespace containing the following attributes:
         - admin_secret: the password to use to access the Juju API;
         - env_file: the absolute path of the Juju environments.yaml file;
         - env_name: the name of the Juju environment to use;

=== modified file 'quickstart/tests/__init__.py'
--- quickstart/tests/__init__.py	2013-10-14 11:27:50 +0000
+++ quickstart/tests/__init__.py	2013-10-30 10:16:36 +0000
@@ -1,5 +1,5 @@
-# This file is part of the Juju GUI, which lets users view and manage Juju
-# environments within a graphical interface (https://launchpad.net/juju-gui).
+# This file is part of the Juju Quickstart Plugin, which lets users set up a
+# Juju environment in very few steps (https://launchpad.net/juju-quickstart).
 # Copyright (C) 2013 Canonical Ltd.
 #
 # This program is free software: you can redistribute it and/or modify it under

=== modified file 'quickstart/tests/helpers.py'
--- quickstart/tests/helpers.py	2013-10-22 00:31:37 +0000
+++ quickstart/tests/helpers.py	2013-10-30 10:16:36 +0000
@@ -1,5 +1,5 @@
-# This file is part of the Juju GUI, which lets users view and manage Juju
-# environments within a graphical interface (https://launchpad.net/juju-gui).
+# This file is part of the Juju Quickstart Plugin, which lets users set up a
+# Juju environment in very few steps (https://launchpad.net/juju-quickstart).
 # Copyright (C) 2013 Canonical Ltd.
 #
 # This program is free software: you can redistribute it and/or modify it under
@@ -37,20 +37,6 @@
     mock_log.assert_has_calls(expected_calls)
 
 
-class CallTestsMixin(object):
-    """Easily use the quickstart.utils.call function."""
-
-    def patch_call(self, retcode, output='', error=''):
-        """Patch the quickstart.utils.call function."""
-        mock_call = mock.Mock(return_value=(retcode, output, error))
-        return mock.patch('quickstart.utils.call', mock_call)
-
-    def patch_multiple_calls(self, side_effect):
-        """Patch multiple subsequent quickstart.utils.call calls."""
-        mock_call = mock.Mock(side_effect=side_effect)
-        return mock.patch('quickstart.utils.call', mock_call)
-
-
 class BundleFileTestsMixin(object):
     """Shared methods for testing Juju bundle files."""
 
@@ -77,6 +63,20 @@
         return bundle_file.name
 
 
+class CallTestsMixin(object):
+    """Easily use the quickstart.utils.call function."""
+
+    def patch_call(self, retcode, output='', error=''):
+        """Patch the quickstart.utils.call function."""
+        mock_call = mock.Mock(return_value=(retcode, output, error))
+        return mock.patch('quickstart.utils.call', mock_call)
+
+    def patch_multiple_calls(self, side_effect):
+        """Patch multiple subsequent quickstart.utils.call calls."""
+        mock_call = mock.Mock(side_effect=side_effect)
+        return mock.patch('quickstart.utils.call', mock_call)
+
+
 class EnvFileTestsMixin(object):
     """Shared methods for testing a Juju environments file."""
 

=== modified file 'quickstart/tests/test_app.py'
--- quickstart/tests/test_app.py	2013-10-18 14:51:29 +0000
+++ quickstart/tests/test_app.py	2013-10-30 10:16:36 +0000
@@ -1,5 +1,5 @@
-# This file is part of the Juju GUI, which lets users view and manage Juju
-# environments within a graphical interface (https://launchpad.net/juju-gui).
+# This file is part of the Juju Quickstart Plugin, which lets users set up a
+# Juju environment in very few steps (https://launchpad.net/juju-quickstart).
 # Copyright (C) 2013 Canonical Ltd.
 #
 # This program is free software: you can redistribute it and/or modify it under

=== modified file 'quickstart/tests/test_juju.py'
--- quickstart/tests/test_juju.py	2013-10-18 16:18:25 +0000
+++ quickstart/tests/test_juju.py	2013-10-30 10:16:36 +0000
@@ -1,5 +1,5 @@
-# This file is part of the Juju GUI, which lets users view and manage Juju
-# environments within a graphical interface (https://launchpad.net/juju-gui).
+# This file is part of the Juju Quickstart Plugin, which lets users set up a
+# Juju environment in very few steps (https://launchpad.net/juju-quickstart).
 # Copyright (C) 2013 Canonical Ltd.
 #
 # This program is free software: you can redistribute it and/or modify it under

=== modified file 'quickstart/tests/test_manage.py'
--- quickstart/tests/test_manage.py	2013-10-22 22:03:42 +0000
+++ quickstart/tests/test_manage.py	2013-10-30 10:16:36 +0000
@@ -1,5 +1,5 @@
-# This file is part of the Juju GUI, which lets users view and manage Juju
-# environments within a graphical interface (https://launchpad.net/juju-gui).
+# This file is part of the Juju Quickstart Plugin, which lets users set up a
+# Juju environment in very few steps (https://launchpad.net/juju-quickstart).
 # Copyright (C) 2013 Canonical Ltd.
 #
 # This program is free software: you can redistribute it and/or modify it under

=== modified file 'quickstart/tests/test_utils.py'
--- quickstart/tests/test_utils.py	2013-10-22 22:03:42 +0000
+++ quickstart/tests/test_utils.py	2013-10-30 10:16:36 +0000
@@ -1,5 +1,5 @@
-# This file is part of the Juju GUI, which lets users view and manage Juju
-# environments within a graphical interface (https://launchpad.net/juju-gui).
+# This file is part of the Juju Quickstart Plugin, which lets users set up a
+# Juju environment in very few steps (https://launchpad.net/juju-quickstart).
 # Copyright (C) 2013 Canonical Ltd.
 #
 # This program is free software: you can redistribute it and/or modify it under
@@ -306,26 +306,6 @@
         self.assertEqual('started', agent_state)
 
 
-class TestUtf8(unittest.TestCase):
-
-    def test_unicode(self):
-        # A unicode value is correctly converted.
-        value = utils.utf8(u'foo')
-        self.assertIsInstance(value, str)
-        self.assertEqual('foo', value)
-
-    def test_bytes(self):
-        # A bytes value is left untouched.
-        original = 'foo'
-        value = utils.utf8(original)
-        self.assertIsInstance(value, str)
-        self.assertIs(original, value)
-
-    def test_none(self):
-        # The None value is returned as is.
-        self.assertIsNone(utils.utf8(None))
-
-
 class TestUnitChanges(unittest.TestCase):
 
     unit = 'django/42'
@@ -372,3 +352,23 @@
         self.assertEqual(
             ('unit', 'change', data),
             utils.unit_changes(self.unit, changeset))
+
+
+class TestUtf8(unittest.TestCase):
+
+    def test_unicode(self):
+        # A unicode value is correctly converted.
+        value = utils.utf8(u'foo')
+        self.assertIsInstance(value, str)
+        self.assertEqual('foo', value)
+
+    def test_bytes(self):
+        # A bytes value is left untouched.
+        original = 'foo'
+        value = utils.utf8(original)
+        self.assertIsInstance(value, str)
+        self.assertIs(original, value)
+
+    def test_none(self):
+        # The None value is returned as is.
+        self.assertIsNone(utils.utf8(None))

=== modified file 'quickstart/utils.py'
--- quickstart/utils.py	2013-10-22 21:49:26 +0000
+++ quickstart/utils.py	2013-10-30 10:16:36 +0000
@@ -1,5 +1,5 @@
-# This file is part of the Juju GUI, which lets users view and manage Juju
-# environments within a graphical interface (https://launchpad.net/juju-gui).
+# This file is part of the Juju Quickstart Plugin, which lets users set up a
+# Juju environment in very few steps (https://launchpad.net/juju-quickstart).
 # Copyright (C) 2013 Canonical Ltd.
 #
 # This program is free software: you can redistribute it and/or modify it under
@@ -17,10 +17,10 @@
 """Juju Quickstart utility functions and classes."""
 
 import collections
-import re
+import logging
 import os
-import logging
 import pipes
+import re
 import subprocess
 
 import yaml
@@ -200,16 +200,6 @@
     return state
 
 
-def utf8(value):
-    """Return the utf8 encoded version of the given value.
-
-    The given value is returned as is if already encoded or not a string.
-    """
-    if isinstance(value, unicode):
-        return value.encode('utf-8')
-    return value
-
-
 def unit_changes(unit_name, changeset):
     """Parse the changeset and return the change related to the given unit.
 
@@ -220,3 +210,13 @@
         entity, _, data = change
         if entity == 'unit' and data['Name'] == unit_name:
             return change
+
+
+def utf8(value):
+    """Return the utf8 encoded version of the given value.
+
+    The given value is returned as is if already encoded or not a string.
+    """
+    if isinstance(value, unicode):
+        return value.encode('utf-8')
+    return value

=== modified file 'setup.py'
--- setup.py	2013-10-14 15:48:41 +0000
+++ setup.py	2013-10-30 10:16:36 +0000
@@ -1,5 +1,5 @@
-# This file is part of the Juju GUI, which lets users view and manage Juju
-# environments within a graphical interface (https://launchpad.net/juju-gui).
+# This file is part of the Juju Quickstart Plugin, which lets users set up a
+# Juju environment in very few steps (https://launchpad.net/juju-quickstart).
 # Copyright (C) 2013 Canonical Ltd.
 #
 # This program is free software: you can redistribute it and/or modify it under
@@ -16,13 +16,13 @@
 
 """Juju Quickstart distribution file."""
 
+import os
+
 from setuptools import (
     find_packages,
     setup,
 )
 
-import os
-
 
 ROOT = os.path.abspath(os.path.dirname(__file__))
 PROJECT_NAME = 'quickstart'

=== modified file 'test-requirements.pip'
--- test-requirements.pip	2013-10-14 15:24:29 +0000
+++ test-requirements.pip	2013-10-30 10:16:36 +0000
@@ -1,8 +1,8 @@
 # Juju Quickstart test requirements.
 
-# This file is part of the Juju GUI, which lets users view and manage Juju
-# environments within a graphical interface (https://launchpad.net/juju-gui).
-# Copyright (C) 2012-2013 Canonical Ltd.
+# This file is part of the Juju Quickstart Plugin, which lets users set up a
+# Juju environment in very few steps (https://launchpad.net/juju-quickstart).
+# Copyright (C) 2013 Canonical Ltd.
 #
 # This program is free software: you can redistribute it and/or modify it under
 # the terms of the GNU Affero General Public License version 3, as published by

